package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumProfitSharingType {
    PROFIT_SHARING_TYPE_WECHAT(1, "微信分账"),
    PROFIT_SHARING_TYPE_BANK(2, "银行卡分账"),
    ;

    public static EnumProfitSharingType getEnum(Integer code) {
        for (EnumProfitSharingType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumProfitSharingType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
